Error trying to install mod_ruby using OPenSuse 11.1

Discussion in 'HOWTO-Related Questions' started by NEIM777, Mar 12, 2009.

  1. NEIM777

    NEIM777 New Member

    Hi I am installing this webserver OPs 11.1..I got this far

    cd /tmp
    tar zxvf mod_ruby-1.2.6.tar.gz
    cd mod_ruby-1.2.6/
    ./configure.rb --with-apr-includes=/usr/include/apr-1

    error occurs right after executing the ./configure.rb - ......

    {/usr/bin/env: python: No such file or directory}

    Any assistance will be gladly appreciated
  2. NEIM777

    NEIM777 New Member

    JASI0WEBSVR:/home/neim777 # cd /tmp
    JASI0WEBSVR:/tmp # wget
    --2009-03-12 11:28:11--
    Connecting to||:80... connected.
    HTTP request sent, awaiting response... 200 OK
    Length: 110886 (108K) [application/x-tar]
    Saving to: `mod_ruby-1.2.6.tar.gz.4'

    100%[==================================================================================================================================>] 110,886 88.5K/s in 1.2s

    2009-03-12 11:28:13 (88.5 KB/s) - `mod_ruby-1.2.6.tar.gz.4' saved [110886/110886]

    JASI0WEBSVR:/tmp # cd mod_ruby-1.2.6/
    JASI0WEBSVR:/tmp/mod_ruby-1.2.6 # ./configure.rb --with-apr-includes=/usr/include/apr-1
    /usr/bin/env: ruby: No such file or directory
    JASI0WEBSVR:/tmp/mod_ruby-1.2.6 #
  3. NEIM777

    NEIM777 New Member

    Good Morning to everyone..I still need someones help.I looked and searched and butchered the Web looking for a solution..I know the answer is just to edit some file header.....but which file..

    This is a new install which I am following Falko's how to build the perfect OpenSuse 11.1 server :mad:
  4. falko

    falko Super Moderator ISPConfig Developer

    Please install the packages python and ruby.
  5. NEIM777

    NEIM777 New Member

    Did that and did it again,,followed your instructions carefully..Same issue

    yast -i apache2-devel ruby ruby-devel
  6. NEIM777

    NEIM777 New Member

    RESOLVED! !!trying to install mod_ruby using OPenSuse 11.1

    I reinstalled python and installed ruby 1.3.0 instead of 1.2.6

Share This Page